## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           go2rpm
Version:        1.9.0
Release:        %autorelease
Summary:        Convert Go packages to RPM

License:        MIT
URL:            https://pagure.io/GoSIG/go2rpm
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       askalono-cli
Requires:       compiler(go-compiler)

%description
Convert Go packages to RPM.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files %{name}

%files  -f %{pyproject_files}
%license LICENSE
%{_bindir}/%{name}

%changelog
* Wed Feb 08 2023 Maxwell G <gotmax@e.email> - 1.9.0-1
- Update to 1.9.0.

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Sep 27 2022 Maxwell G <gotmax@e.email> - 1.8.2-1
- Update to 1.8.2.
- specfile template: Use uppercase AND as the license delimiter as per SPDX
  spec

* Tue Aug 09 2022 Maxwell G <gotmax@e.email> - 1.8.1-1
- Update to 1.8.1.

* Mon Aug 08 2022 Maxwell G <gotmax@e.email> - 1.8.0-1
- Update to 1.8.0.

* Sun Aug 07 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.0-2
- Fix typo

* Sat Aug 06 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.0-1
- Update to 1.7.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.6.1-3
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 15 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.1-1
- Update to 1.6.1

* Thu Jan 13 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.0-1
- Update to 1.6.0

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.0-1
- Update to version 1.5.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4-3
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild


* Mon Nov 09 11:44:37 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4-1
- Update to 1.4
- Drop vendored copy of licensing module
- Rework source fetching

* Wed Sep 23 17:49:48 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.2-1
- Update to 1.2
- Use fetch-reset to origin instead of git pull

* Tue Sep 22 07:32:43 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.1-1
- Update to 1.1
- Use heads[0] instead of heads.master to work with repo who use main or other
branches as default (cf Github move:
https://github.blog/2020-07-27-highlights-from-git-2-28/ )

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1-8
- Rebuilt for Python 3.9

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1-5
- Rebuilt for Python 3.8

* Sun Aug 04 22:04:10 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-4
- Replace go-rpm-macros with compiler(go-compiler)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 22:04:32 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-2
- Add go-rpm-macros require

* Thu Jul 11 18:00:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-1
- Initial package

